Skip to main content
POST
https://api.docksys.xyz
/
v2
/
roblox
/
bulk
Bulk look up Discord IDs by Roblox IDs
curl --request POST \
  --url https://api.docksys.xyz/v2/roblox/bulk \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "robloxIds": [
    "156319135",
    "351892163"
  ],
  "guildId": "987654321098765432",
  "resolved": false
}
'
{
  "status": 200,
  "data": {
    "results": [
      {
        "input": {},
        "found": true,
        "data": {},
        "error": {
          "code": "<string>",
          "message": "<string>",
          "details": {},
          "status": 123
        }
      }
    ],
    "count": 123,
    "foundCount": 123,
    "notFoundCount": 123,
    "errorCount": 123,
    "resolved": true
  },
  "meta": {
    "requestId": "req_9d7b8c6a5f4e",
    "version": "2.0.0",
    "rateLimit": {
      "limit": 123,
      "remaining": 123,
      "resetAt": "2023-11-07T05:31:56Z",
      "retryAfter": 123,
      "scope": "api_key",
      "bucket": "sessions_create"
    }
  },
  "timestamp": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Dock API key. Send Authorization: Bearer <api key>.

Body

application/json
robloxIds
string[]
required
Required array length: 1 - 50 elements
Pattern: ^\d{1,32}$
guildId
string
resolved
boolean
default:false

Response

Bulk lookup completed.

status
integer
required
Example:

200

data
object
required

Endpoint-specific response payload.

meta
object
required
timestamp
string<date-time>
required